## Check Digits

### includecheck

Generate check digit(s) for symbologies where the use of check digits is optional.

#### Example

Calculate the optional check characters of this Code 93 symbol:

```
Data:    CHECK ME OUT
Options: includecheck
Encoder: code93
```

![](images/optincludecheck.png)

### includecheckintext

Show the calculated check digit in the human readable text.

#### Notes

  * For barcode symbologies where the check digit is not mandatory, this option must be used in combination with **includecheck**.
  * If any part of the checksum does not have a printable representation then that part is not displayed.

#### Example

Display the check digit of this Royal Mail barcode:

```
Data:    LE28HS9Z
Options: includetext includecheckintext
Encoder: royalmail
```

![](images/optincludecheckintext.png)

