## Input Processing

### parse

In supporting barcode symbologies, when the *parse* option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.

#### Example

Equivalent symbols:

```
Data:    This is Data Matrix
Options: 
Encoder: datamatrix
```

```
Data:    This is ^068ata Matrix
Options: parse
Encoder: datamatrix
```

![](images/optparse.png)

### parsefnc

In supporting barcode symbologies, when the **parsefnc** option is specified, non-data function characters can be specified by escaped combinations such as `^FNC1`, `^FNC4` and `^SFT/`.

#### Example

Code 93 including a special shift combination `(/)A` representing _!_:

```
Data:    TERRY^SFT/A
Options: parsefnc includecheck
Encoder: code93
```

![](images/optparsefnc.png)

