## Text Properties

### includetext

Show human readable text for data in symbol.

#### Notes

  * If a character in the data does not have a printable representation then it is not displayed

#### Example

Display the text encoded in this Code 39 symbol:

```
Data:    SEE ME
Options: includetext
Encoder: code39
```

![](images/optincludetext.png)

### textfont

The font name for text.

#### Notes

  * The font name must be the literal name of a PostScript font that is available to the system.
  * This option should be used in combination with the **includetext** option.

#### Example

Customise the human readable text of this USPS POSTNET symbol

```
Data:    64501
Options: includetext textfont=Times-Roman textsize=9
Encoder: postnet
```

![](images/opttextfont.png)

### textsize

The font size of the text in points.

#### Note

  * This option should be used in combination with the **includetext** option.

#### Example

Customise the human readable text of this USPS POSTNET symbol

```
Data:    64501
Options: includetext textfont=Times-Roman textsize=9
Encoder: postnet
```

![](images/opttextfont.png)

### textgaps

The inter-character spacing of the text.

#### Note

  * This option should be used in combination with the **textxalign** option.

