### Australia Post 4 State Customer Code

The **Australia Post 4 State Customer Code** is a barcode used by the Australian Postal Service to encode the data on letter mail.

#### Data and Options

  * The first two characters of the data field are digits used to specify the manditory FCC type of the symbols, either `11`, `45`, `59` or `67`.
  * The next eight characters are digits that specify the manditory DPID.
  * The number of remaining characters varies according to the given FCC code and these specify the contents of the customer information field in one of two alphabets:
    * The **custinfoenc** option should be supplied as `custinfoenc=numeric` if the customer information field is to be encoded using the numeric alphabet which can contain the digits 0-9.
    * Otherwise the customer information field is encoded using the default character encoding, `custinfoenc=character`, which permits any of the following characters:
      * Upper case letters `A-Z`
      * Lower case letters `a-z`
      * Digits `0-9`
      * Symbols `space` and `#`
  * The maditory Reed-Solomon check bars are calculated automatically.

#### Examples

FCC 62 symbol with character customer data:

```
Data:    6279438541AaaB 155
Options: custinfoenc=character
Encoder: auspost
```

![](images/auspost-1.png)

FCC 59 symbol with numeric customer data:

```
Data:    593221132401234567
Options: custinfoenc=numeric
Encoder: auspost
```

![](images/auspost-2.png)
