### Aztec Code

**Aztec Code** is a 2D matrix-style barcode symbology. It can encode full 256-character extended-ASCII.

Variants:

  * [Aztec Runes](Aztec-Runes) are a set of small barcode symbols that are used for special applications.

Standards: ISO/IEC 24778, ANSI/AIM BC13 - ISS Aztec Code.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The **eclevel** option is used to specify the percentage of error correction to be applied when expanding the data, by default `23`.
  * The **ecaddchars** option is used to specify how many additional error correction characters to apply the data once expanded by the eclevel percentage, by default `3`.
  * The **layers** option is used to specify a particular number of layers in which to encode the data, between `1` and `32`. By default the encoder will create a symbol with be minimal number of layers to encode the given data.
  * The **format** option is used to select between `format=full` and `format=compact` symbol types. By default the encoder will choose the most appropriate format to create a symbol of minimal size.
  * _Deprecated: Use [Aztec Runes](Aztec-Runes) instead. The **format** option can also be used to create Aztec Code "runes", using `format=rune`. In this case the rune symbol number should be given in the data field._
  * The **readerinit** option denotes that the symbol is used for programming the barcode reader.
  * The **raw** option denotes that the data field is providing the input as a pre-encoded bitstream suitable for direct low-level encoding.

#### Examples

```
Data:    This is Aztec Code
Options: 
Encoder: azteccode
```

![](images/aztec-1.png)

```
Data:    This is ^065ztec Code
Options: parse eclevel=50 ecaddchars=0
Encoder: azteccode
```

![](images/aztec-6.png)

```
Data:    ABC123
Options: layers=3 format=full
Encoder: azteccode
```

![](images/aztec-2.png)

```
Data:    ABC123
Options: format=compact
Encoder: azteccode
```

![](images/aztec-5.png)

```
Data:    00100111001000000101001101111000010100111100101000000110
Options: raw
Encoder: azteccode
```

![](images/aztec-4.png)
