### BC412

The **BC412** barcode symbology is single width, variable length barcode that is used for silicon wafer identification by the semiconductor manufacturing industry.

Also known as: BC412 SEMI, BC412 IBM.

#### Data and Options

  * The data field can hold any of the following:
    * Numbers 0-9
    * Capital letters A-Z, excluding O
  * The **includestartstop** option enables the display of start and stop bars.
  * The **includecheck** option calculates the check character.
  * The **includecheckintext** option makes the calculated checksum appear in the human readable text.
  * The **semi** option enables conformance to the SEMI standard by enabling start and stop bars as well as a check character.
  * The **inkspread** option can be used to adjust the width of the bars.

#### Examples

```
Data:    BC412
Options: includecheck
Encoder: bc412
```

![](images/bc412-1.png)

```
Data:    BC412
Options: includestartstop
Encoder: bc412
```

![](images/bc412-2.png)

```
Data:    BC412
Options: semi
Encoder: bc412
```

![](images/bc412-3.png)
