### Channel Code

**Channel Code** is a linear, continuous, self-checking, bidirectional barcode symbology that encodes between two and seven digits in a short space.

Standards: ANSI/AIM BC12 - USS Channel Code.

#### Data and Options

  * The data field can hold zero prefixed values from any of the following ranges:
    * Channel 3: `00-26`
    * Channel 4: `000-292`
    * Channel 5: `0000-3493`
    * Channel 6: `00000-44072`
    * Channel 7: `000000-576688`
    * Channel 8: `0000000-7742862`
  * The channel is determined to be one more than the number of digits given in the data field.
  * The **shortfinder** option generates a symbol with a shortened finder pattern.
  * The **includecheck** option appends an optional check bar suffix.

#### Examples

A channel 3 symbol holding the value five:

```
Data:    05
Options: includetext
Encoder: channelcode
```

![](images/channelcode-1.png)

A channel 4 symbol holding the value 123:

```
Data:    123
Options: includetext
Encoder: channelcode
```

![](images/channelcode-2.png)

A channel 4 symbol holding the value five including optional check bars:

```
Data:    005
Options: includetext includecheck
Encoder: channelcode
```

![](images/channelcode-3.png)

A channel 3 symbol holding the value 26 with a shorteded finder pattern:

```
Data:    26
Options: shortfinder includetext
Encoder: channelcode
```

![](images/channelcode-4.png)
