### Codabar

**Codabar** is a linear, discrete, self-checking, bidirectional barcode symbology that can encode digits, six symbols and four delimiter characters. It is primarily used by libraries and blood banks, photo labs and FedEx airbills.

Also known as: Rationalized Codabar, Ames Code, NW-7, USD-4, USS-Codabar, ABC Codabar, Monarch, Code 2 of 7.

Standards: ANSI/AIM BC3 - USS Codabar, BS EN 798.

#### Data and Options

  * The data field must start and stop with one of the following delimiters
    * `ABCD`
    * `TNE*` (with the *altstartstop* option)
  * The data field can otherwise hold any of the following
    * Digits 0-9
    * Symbols `-$:/.+`
  * The **altstartstop** option specifies that the alternative set of delimiter characters is in use.
  * The **includecheck** option calculates the check digit.
  * The **includecheckintext** option makes the calculated check characters appear in the human readable text.

#### Example

```
Data:    A0123456789B
Options: includecheck includetext includecheckintext
Encoder: rationalizedCodabar
```

![](images/codabar-1.png)

