### Codablock F

The **Codablock F** barcode symbology is 2D stacked-linear barcode that consists of a number of stacked [Code 128](Code-128) symbols. It can encode full 256 character extended-ASCII. 

Variants:

  * [HIBC Codablock F](HIBC-Symbols) is a variant of Codablock F that should be used when encoding HIBC formatted data.

Standards: USS Codablock F.

#### Data and Options

  * The data field can consist of any extended-ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * _FNC4_ function characters will be inserted automatically to allow the encoding of extended ASCII characters.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1` or `^FNC3`.
  * The **columns** option specifies the number of columns in the symbol, default 8.
  * The **rows** option specifies the number of rows in the symbol, between 2 and 44.
  * If **rows** is unspecified the encoder will default to the smallest number of rows that can hold the given data.
  * The **raw** option denotes that the data field is providing the input as a pre-encoded codewords in `^NNN` format, suitable for direct low-level encoding.
  * The **rowheight** option specifies the height of the bars in each row in points. The default is 10.
  * The **sepheight** option specifies the height of the separator bars enclosing the rows in points. The default is 1.

#### Examples

```
Data:    Codablock F
Options: 
Encoder: codablockf
```

![](images/codablockf-1.png)

```
Data:    CODABLOCK F 34567890123456789010040digit
Options: columns=8 rows=5
Encoder: codablockf
```

![](images/codablockf-2.png)

```
Data:    Short bars, fat seperators
Options: columns=10 rows=8 rowheight=6 sepheight=2
Encoder: codablockf
```

![](images/codablockf-3.png)
