### Code 128

**Code 128** is an arbitrarily long, high-density barcode symbology that can be used to encode full 256 character extended-ASCII.

Also known as: USD-6, USS-128, Code 128A, Code 128B, Code 128C.

Variants:

  * [GS1-128](GS1-128) is a variant of Code 128 that should be used when encoding data that is in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format).
  * [HIBC Code 128](HIBC-Symbols) is a variant of Code 128 that should be used when encoding HIBC formatted data.

Standards: ISO/IEC 15417, ANSI/AIM BC4 - ISS Code 128, BS EN 799.

#### Data and Options

  * The input can consist of any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII or extended-ASCII value, useful for specifying unprintable characters, e.g. `^029` for _GS_, `^209` for _Ñ_, etc.
  * _FNC4_ function characters will be inserted automatically to allow the encoding of extended ASCII characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1` through `^FNC3`.
  * When the **parsefnc** option is specified, the special pseudo characters `^LNKA` and `^LNKC` at the end of the symbol indicate that a GS1-128 symbol includes a _CC-A/B_ or _CC-C_ GS1 composite 2D component.
  * The **raw** option denotes that the data field is providing the input as pre-encoded codewords in `^NNN` format, suitable for direct low-level encoding.
  * The mandatory check digit is calculated automatically.

#### Example

```
Data:    Count0123456789!
Options: includetext
Encoder: code128
```

![](images/code128-1.png)
