### Code 16K

The **Code 16K** barcode symbology is 2D stacked-linear barcode that can encode full 256 character extended-ASCII with the use of the _FNC4_ shift character.

Also known as: USS-16K

Standards: ANSI/AIM BC7 - USS Code 16K, BS EN 12323.

#### Data and Options

  * The data field can consist of any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * _FNC4_ function characters will be inserted automatically to allow the encoding of extended ASCII characters.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1` through `^FNC3`.
  * The **mode** option specifies the mode for the symbol. It is usual to leave this unspecified in which case the most appropriate mode that results in the shortest symbol is automatically selected based in the input data.
    * `mode=0` - Starting code set A
    * `mode=1` - Starting code set B
    * `mode=2` - Starting code set C
    * `mode=3` - Starting code set B with implied _FNC1_
    * `mode=4` - Starting code set C with implied _FNC1_
    * `mode=5` - Starting code set C with implied _Shift B_
    * `mode=6` - Starting code set C with implied _Double Shift B_
  * The **pos** option specifies this symbol to be part of multi-part structured data. For example `pos=25` specifies this to be the second symbol in a group of five symbols.
  * The **rows** option specifies the number of rows in the symbol, between two and sixteen.
  * If **rows** is unspecified the encoder will default to the smallest number of rows that can hold the given data.
  * The **raw** option denotes that the data field is providing the input as a pre-encoded codewords in `^NNN` format, suitable for direct low-level encoding.
  * The **rowheight** option specifies the height of the bars in each row in points. The default is 10.
  * The **sepheight** option specifies the height of the separator bars enclosing the rows in points. The default is 1.

#### Examples

```
Data:    Abcd-1234567890-wxyZ
Options: 
Encoder: code16k
```

![](images/code16k-1.png)

```
Data:    Code 16K
Options: rows=10
Encoder: code16k
```

![](images/code16k-2.png)

```
Data:    Short bars, fat seperators
Options: rows=8 rowheight=5 sepheight=2
Encoder: code16k
```

![](images/code16k-3.png)
