### Code 39 Extended

The **Code 39 Extended** barcode symbology is discrete, variable length and self-checking. It is based on [Code 39](Code-39) but can encode full 128 character ASCII by using shift combinations.

Also known as: Code 39 Full ASCII.

Variants:

  * [Code 39](Code-39) is a simpler variant of Code 39 Extended.

Standards: ISO/IEC 16388, ANSI/AIM BC1 - USS Code 39, BS EN 800.

#### Data and Options

  * The data field can consist of any ASCII data.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters, e.g. `^029` for _GS_, etc.
  * The **includecheck** option calculates the check digit.
  * The **includecheckintext** causes the calculated check digit to appear in the human readable text.
  * The **hidestars** option suppresses the asterisks in the human readable text.

#### Examples

```
Data:    Code39 Ext!
Options: includetext includecheck
Encoder: code39ext
```

![](images/code39ext-1.png)

```
Data:    Code39^029Extended
Options: parse includecheck
Encoder: code39ext
```

![](images/code39ext-2.png)
