### Code 39

The **Code 39** barcode symbology is discrete, variable length and self-checking.

Also known as: Code 3 of 9, LOGMARS, Alpha39, USD-3, USS-39.

Variants:

  * [Code 39 Extended](Code-39-Extended) is a variant of Code 39 that can be used to encode full 128 character ASCII with the use of shift character combinations.
  * [HIBC Code39](HIBC-Symbols) is a variant of Code 39 that should be used when encoding HIBC formatted data.
  * AIM USD-2 is a subset of Code 39 containing the characters A-Z, 0-9, _space_, `-` and `.`.

Standards: ISO/IEC 16388, ANSI/AIM BC1 - USS Code 39, BS EN 800, MIL STD 1189.

#### Data and Options

  * The data field can hold any of the following:
    * Numbers 0-9
    * Capital letters A-Z
    * Symbols `-.$/+%*` and _space_
  * The **includecheck** option calculates the check digit.
  * The **includecheckintext** option makes the calculated checksum appear in the human readable text.
  * The **hidestars** option suppresses the asterisks in the human readable text.

#### Examples

```
Data:    CODE39
Options: includetext
Encoder: code39
```

![](images/code39-1.png)

```
Data:    CODE39
Options: includecheck includetext includecheckintext
Encoder: code39
```

![](images/code39-2.png)

```
Data:    CODE39
Options: hidestars includecheck includetext
Encoder: code39
```

![](images/code39-3.png)
