### Code 49

The **Code 49** barcode symbology is 2D stacked-linear barcode that can encode 128 character ASCII.

Also known as: USS-49.

Standards: ANSI/AIM BC6 - USS Code 49.

#### Data and Options

  * The input can consist of any ASCII data.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1` through `^FNC3`.
  * The **mode** option specifies the mode for the symbol. It is usual to leave this unspecified in which case the most appropriate mode that results in the shortest symbol is automatically selected based in the input data.
    * `mode=0` - regular alphanumeric mode
    * `mode=1` - append mode
    * `mode=2` - numeric mode
    * `mode=3` - group alphanumeric mode
    * `mode=4` - alphanumeric mode starting shift 1
    * `mode=5` - alphanumeric mode starting shift 2
    * `mode=6` - reserved
  * The **pos** option specifies this symbol to be part of multi-part structured data, i.e. selecting `mode=3`. For example `pos=25` specifies this to be the second symbol in a group of five symbols.
  * The **rows** option specifies the number of rows in the symbol, between _2_ and _8_.
  * If **rows** is unspecified the encoder will default to the smallest number of rows that can hold the given data.
  * The **rowheight** option specifies the height of the bars in each row in points. The default is _10_.
  * The **sepheight** option specifies the height of the separator bars enclosing the rows in points. The default is _1_.

#### Examples

```
Data:    MULTIPLE ROWS IN CODE 49
Options: 
Encoder: code49
```

![](images/code49-1.png)

```
Data:    CODE 49
Options: rows=8
Encoder: code49
```

![](images/code49-2.png)

```
Data:    Short bars, fat seperators
Options: rows=8 rowheight=6 sepheight=2
Encoder: code49
```

![](images/code49-3.png)
