### Code 93 Extended

The **Code 93 Extended** barcode symbology is continuous, variable length and self-checking. It is based on [Code 93](Code-93) but can encode full 128 character ASCII using four additional shift characters: _($)_ _(%)_ _(/)_ _(+)_

Also known as: Code 93 Full ASCII.

Variants:

  * [Code 93](Code-93) is a simpler variant of the Code 93 Extended barcode symbology.

Standards: ANSI/AIM BC5 - USS Code 93, ITS 93i.

#### Data and Options

  * The data field can consist of any ASCII data.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters, e.g. `^029` for _GS_, etc.
  * The **includecheck** option calculates the two check digits.

#### Examples

```
Data:    Code93Ext!
Options: includecheck
Encoder: code93ext
```

![](images/code93ext-1.png)

```
Data:    Code93^029Extended
Options: parse includecheck
Encoder: code93ext
```

![](images/code93ext-2.png)
