### Code 93

**Code 93** is a continuous, variable length, self-checking barcode symbology.

Also known as: USD-7, USS-93.

Variants:

  * [Code 93 Extended](Code-93-Extended) is a variant of Code 93 that can be used to encode full 128 character ASCII with the use of special shift character combinations.

Standards: ANSI/AIM BC5 - USS Code 93, ITS 93i.

#### Data and Options

  * The data field can hold any of the following:
    * Numbers 0-9
    * Capital letters A-Z
    * Symbols `-.$/+%*` and _space_
  * The **parsefnc** option allows the special shift characters to be supplied as `^SFT$`, `^SFT%`, `^SFT/` and `^SFT+`.
  * The **includecheck** option calculates the two check digits.

#### Examples

```
Data:    CODE93
Options: includecheck
Encoder: code93
```

![](images/code93-1.png)

Code 93 including a special shift combination `(/)A` representing _!_:

```
Data:    CODE93^SFT/A
Options: parsefnc includecheck
Encoder: code93
```

![](images/code93-2.png)
