### Code One

**Code One** was the earliest public domain 2D matrix-style barcode. It is used by the health care and recycling industry and can encode full 256 character extended-ASCII.

Also known as: Code 1, Code 1S.

Standards: AIM USS - Code One.

#### Data and Options

  * The data field can consist of any ASCII data for _standard_ and _T-type_ symbols.
  * Note: _S-type_ symbols are special in that they represent a numeric value so may only contain digits.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters, e.g. `^029` for _GS_, etc.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1`, `^FNC3`.
  * The **version** option is used to specify the size and type of the symbol:
    * `A`, `B`, `C`, `D`, `E`, `F`, `G`, `H` - for standard format symbols (default automatic selection)
    * `version=T-16`, `version=T-32`, `version=T-48` - _T-type_ symbols
    * `version=S-10`, `version=S-20`, `version=S-30` - _S-type_ symbols

#### Examples

```
Data:    Code One
Options: 
Encoder: codeone
```

![](images/codeone-1.png)

```
Data:    Code One
Options: version=C
Encoder: codeone
```

![](images/codeone-2.png)

```
Data:    Code One
Options: version=T-32
Encoder: codeone
```

![](images/codeone-3.png)

```
Data:    406990
Options: version=S-10
Encoder: codeone
```

![](images/codeone-4.png)
