### DotCode

The **DotCode** symbology is 2D matrix-style barcode that can encode full 256 character extended-ASCII.

Standards: AIM - ISS DotCode.


#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value. This is useful for specifying unprintable characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1`, `^FNC2`, `^FNC3`.
  * The **fast** option is used to enable the optional high-speed symbol masking algorithm.
  * The **ratio** is used to specify the aspect ratio of the symbol. The default is 1.5.
  * The **columns** and **rows** options are used to specify the size of the symbol. When these are not specified a symbol is generated that maintains the selected aspect ratio.


#### Examples

```
Data:    This is DotCode
Options: fast inkspread=0.3
Encoder: dotcode
```

![](images/dotcode-1.png)
