### EAN-13

**EAN-13** is an extension of the [UPC-A](UPC-A) barcode symbology that usually carries a GTIN-13. It was designed by the International Article Numbering Association in 1976 for identification of retail goods at point of sale outside of the US.

Also known as: EAN, UCC-13, European Article Number, International Article Number, JAN, JAN-13, IAN, WPC, SAAN, UCCET, ABAC, BCCI, ICA, MANA, KANC, ANA, ANC.

Variants:

  * EAN-13+2 is an extension of EAN-13 that includes a [two-digit add-on](EAN-2).
  * EAN-13+5 is an extension of EAN-13 that includes a [five-digit add-on](EAN-5).
  * EAN-99 is a special form of EAN-13 starting with `99` that is used as an in-store coupon.
  * [EAN-8](EAN-8) is a barcode symbology derived from EAN-13 that is designed for small packaging. It uses a distinct numbering system based on GTIN-8.
  * [ISBN](ISBN) is a variant of EAN-13 used to identify books.
  * [ISMN](ISMN) is a variant of EAN-13 used to identify printed music.
  * [ISSN](ISSN) is a variant of EAN-13 used to identify periodicals.
  * [EAN-13 Composite](GS1-Composite-Symbols) is a variant of EAN-13 that should be used when a CC-A or CC-B  GS1 Composite 2D component is required.

Standards: ISO/IEC 15420, BS EN 797, GS1 General Specifications.

#### Data and Options

  * The data field for a EAN-13 may contain twelve or thirteen digits, optionally followed by a space then two or five digits if an [EAN-2](EAN-2) or [EAN-5](EAN-5) add-on is required.
  * If twelve digits of primary data are supplied then the check digit is calculated automatically. Otherwise the provided check digit must be correct.
  * The **includetext** option should normally be supplied.
  * The **guardwhitespace** option enables the display of whitespace guard marks.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    9771473968012
Options: includetext guardwhitespace
Encoder: ean13
```

```
Data:    977147396801
Options: includetext guardwhitespace
Encoder: ean13
```

![](images/ean13-1.png)

A symbol that includes a [five-digit add-on](EAN-5):

```
Data:    9771473968012 54499
Options: includetext guardwhitespace
Encoder: ean13
```

![](images/ean13-2.png)

