### EAN-14

**EAN-14** is an implementation of the [GS1-128](GS1-128) barcode symbology with _AI (01)_ that is typically used to encode a GTIN-14.

Also known as: UCC-14.

Standards: ISO/IEC 15417, ANSI/AIM BC4-1999 ISS, BS EN 799, GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) and must be a solitary _AI (01)_ with thirteen or fourteen digits of a GTIN, i.e. `(01)...`.
  * Arbitrary spacing may be placed between the digits to format the human readable text without interfering with the encoded data.
  * If thirteen digits of primary data are supplied then the check digit is calculated automatically. Otherwise the provided check digit must be correct.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    (01)04601234567893
Options: includetext
Encoder: ean14
```

```
Data:    (01)0460123456789
Options: includetext
Encoder: ean14
```

![](images/ean14-1.png)
