### EAN-8

**EAN-8** is derived from the [EAN-13](EAN-13) barcode symbology and is designed for small packaging. It usually carries a GTIN-8.

Also known as: UCC-8, JAN-8.

Variants:

  * EAN-8+2 is an extension of EAN-8 that includes a [two-digit add-on](EAN-2).
  * EAN-8+5 is an extension of EAN-8 that includes a [five-digit add-on](EAN-5).
  * EAN-Velocity is a special form of EAN-8 starting with `0` that is used for in-store coupons.
  * [EAN-13](EAN-13) is a longer variant of EAN-8 which has a distinct number system based on GTIN-13.
  * [EAN-8 Composite](GS1-Composite-Symbols) is a variant of EAN-8 that should be used when a CC-A or CC-B GS1 composite 2D component is required.

Standards: ISO/IEC 15420, BS EN 797, GS1 General Specifications.

#### Data and Options

  * The data field takes either seven or eight digits, optionally followed by a space then two or five digits if an [EAN-2](EAN-2) or [EAN-5](EAN-5) add-on is required.
  * If seven digits of primary data are supplied then the check digit is calculated automatically. Otherwise the provided check digit must be correct.
  * The **includetext** option should normally be supplied.
  * The **guardwhitespace** option enables the display of white space guard marks.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    01335583
Options: includetext
Encoder: ean8
```

```
Data:    0133558
Options: includetext
Encoder: ean8
```

![](images/ean8-1.png)

Truncated with white space guards:

```
Data:    01335583
Options: includetext height=0.5 guardwhitespace
Encoder: ean8
```

![](images/ean8-2.png)
