## GS1 Application Identifier Standard Format

Certain barcode symbologies (including [GS1-128](GS1-128), [GS1 DataBar Omnidirectional](GS1-DataBar-Omnidirectional), [GS1 DataMatrix](GS1-DataMatrix), [GS1 QR Code](GS1-QR-Code) and [GS1 Composite Symbols](GS1-Composite-Symbols)) represent standardized GS1 data and require that their data field is provided in GS1 Application Identifier standard format, consisting of a concatenated string of _AIs_ along with their corresponding values.

The AIs are a set of approximately one hundred two-, three- or four-digit prefixes written within parentheses that represent physical attributes and business information, e.g.

  * _(00)_ is an eighteen-digit SSCC.
  * _(01)_ is a fourteen-digit GTIN.
  * _(403)_ is a variable-length routing code.

The following input represents GTIN _0061414199996_; Expiration Date _1 January 2010_; Batch _123ABC_; Serial _1234567890_:

```
(01)0061414199996(17)100101(10)123ABC(21)1234567890
```

Encoders for barcode symbologies that expect data in GS1 Application Identifier standard format will take care of parsing the input and inserting any necessary _FNC1_ characters to delimit variable length fields. 

#### GS1 Application Identifier Definitions

The Application Identifier definitions are provided in the [GS1 General Specifications](http://www.gs1.org/barcodes-epcrfid-id-keys/gs1-general-specifications). A summary is available [here](http://en.wikipedia.org/wiki/GS1-128#Full_list_of_Application_Identifiers) however this may be out of date.
