### GS1 DataBar Expanded

**GS1 DataBar Expanded** is a variable-length, linear barcode symbology that can be used to encode a  GTIN-14 alongside a number of other application identifiers for use at point of sale.

Also known as: RSS Expanded.

Variants:

  * [GS1 DataBar Expanded Stacked](GS1-DataBar-Expanded-Stacked) is a variant of GS1 DataBar Expanded for use where a taller, narrower symbol is required.
  * [GS1 DataBar Expanded Composite](GS1-Composite-Symbols) is a variant of GS1 DataBar Expanded that should be used when a CC-A or CC-B GS1 composite 2D component is required.

Standards: ISO/IEC 24724, ITS Reduced Space Symbology (RSS), AIM ISS - Reduced Space Symbology (RSS), GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format).
  * If the data contains a number of application identifiers matching any of the specifications below then they should be provided in this given order for maximum encoding efficiency:
    * `(01)9...(3103)...`
    * `(01)9...(3202)...`
    * `(01)9...(3203)...`
    * `(01)9...(310x/320x)...(11/13/15/17)...`
    * `(01)9...(310x/320x)...`
    * `(01)9...(392x)...`
    * `(01)9...(393x)...`
    * `(01)...`
  * The **linkage** option signifies the presence of a GS1 composite 2D component.

#### Examples

```
Data:    (01)95012345678903(3103)000123
Options: 
Encoder: databarexpanded
```

![](images/databarexpanded-1.png)
