### GS1 DataBar Limited

**GS1 DataBar Limited** is fixed-length, linear barcode symbology that can be used to encode a GTIN-14 beginning with _0_ or _1_ for in-house applications.

Also known as: RSS Limited.

Variants:

  * [GS1 DataBar Limited Composite](GS1-Composite-Symbols) is a variant of GS1 DataBar Limited that should be used when a CC-A or CC-B GS1 composite 2D component is required.

Standards: ISO/IEC 24724, ITS Reduced Space Symbology (RSS), AIM ISS - Reduced Space Symbology (RSS), GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) and must be a solitary _AI (01)_ with thirteen or fourteen digits of a GTIN starting with _0_ or _1_, i.e. `(01)0...` or `(01)1...`.
  * If thirteen digits of _AI (01)_ data are supplied then the check digit is calculated automatically, otherwise the digits are encoded as supplied.
  * The **linkage** option signifies the presence of a GS1 composite 2D component.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    (01)15012345678907
Options: 
Encoder: databarlimited
```

```
Data:    (01)1501234567890
Options: 
Encoder: databarlimited
```

![](images/databarlimited-1.png)
