### GS1 DataBar Stacked

**GS1 DataBar Stacked** is a fixed-length, stacked linear barcode symbology that can be used to encode a GTIN-14 for in-house applications.

Also known as: RSS-14 Stacked.

Variants:

  * [GS1 DataBar Truncated](GS1-DataBar-Truncated) is a variant of GS1 DataBar Stacked for use where a shorter, wider symbol is required.
  * [GS1 DataBar Stacked Composite](GS1-Composite-Symbols) is a variant of GS1 DataBar Stacked that should be used when a CC-A or CC-B GS1 composite 2D component is required.

Standards: ISO/IEC 24724, ITS Reduced Space Symbology (RSS), AIM ISS - Reduced Space Symbology (RSS), GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) and must be a solitary _AI (01)_ with thirteen or fourteen digits of a GTIN, i.e. `(01)...`.
  * If thirteen digits of _AI (01)_ data are supplied then the check digit is calculated automatically, otherwise the digits are encoded as supplied.
  * The **linkage** option signifies the presence of a GS1 composite 2D component.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    (01)24012345678905
Options: 
Encoder: databarstacked
```

```
Data:    (01)2401234567890
Options: 
Encoder: databarstacked
```

![](images/databarstacked-1.png)
