### GS1 DataMatrix

**GS1 DataMatrix** is an implementation of the [Data Matrix](Data-Matrix) (ECC 200) barcode symbology with [GS1 formatted](GS1-Application-Identifier-Standard-Format) data.

Standards: ISO/IEC 16022, ANSI/AIM BC11 ISS, GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) starting with the mandatory _(01)_ Application Identifier.
  * The **format** option is used to specify the shape of the symbol, either `square` (default) or `rectangle`. 
  * The **columns** and **rows** options are used to specify the size of the symbol.
  * The **version** option can also be used to specify the symbol size, as `version=RxC`. Valid options are:
    * With `format=square`: _10x10_, _12x12_, _14x14_, _16x16_, _18x18_, _20x20_, _22x22_, _24x24_, _26x26_, _32x32_, _36x36_, _40x40_, _44x44_, _48x48_, _52x52_, _64x64_, _72x72_, _80x80_, _88x88_, _96x96_, _104x104_, _120x120_, _132x132_, _144x144_
    * With `format=rectangle`: _8x18_, _8x32_, _12x26_, _12x36_, _16x36_, _16x48_
  * If **columns**, **rows** and **version** are unspecified the encoder will default to creating a symbol of the specified **format** that is the minimum size to represent the given data.

#### Example

```
Data:    (01)95012345678903(3103)000123
Options: 
Encoder: gs1datamatrix
```

![](images/gs1datamatrix-1.png)
