### GS1 QR Code

**GS1 QR Code** is an implementation of the [QR Code](QR-Code) barcode symbology with [GS1 formatted data](GS1-Application-Identifier-Standard-Format).

Standards: ISO/IEC 18004, ITS - QR Code, GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) starting with the mandatory _(01)_ and _(8200)_ Application Identifiers.
  * The **eclevel** option is used to specify the error correction level:
    * `eclevel=L` - Low
    * `eclevel=M` - Medium (default)
    * `eclevel=Q` - Quality
    * `eclevel=H` - High
  * The **version** option is used to specify the size of the symbol, 1 to 40.
  * If the **version** is unspecified the encoder will default to creating a symbol that is the minimum size to represent the given data at the selected error correction level.

#### Example

```
Data:    (01)03453120000011(8200)http://www.abc.net
Options: 
Encoder: gs1qrcode
```

![](images/gs1qrcode-1.png)

```
Data:    (01)03453120000011(8200)http://abc.net(10)XYZ(410)9501101020917
Options: 
Encoder: gs1qrcode
```

![](images/gs1qrcode-2.png)
