## HIBC Symbols

**HIBC barcodes** use a number of general symbologies as carrier symbols for data structured according to the LIC and PAS structured data definitions.

Variants:

  * [HIBC Code 39](#hibc-code-39) is a variant of [Code 39](Code-39).
  * [HIBC Code 128](#hibc-code-128) is a variant of [Code 128](Code-128).
  * [HIBC PDF417](#hibc-pdf417) is a variant of [PDF417](PDF417).
  * [HIBC MicroPDF417](#hibc-micropdf417) is a variant of [MicroPDF417](MicroPDF417).
  * [HIBC QR Code](#hibc-qr-code) is a variant of [QR Code](QR-Code).
  * [HIBC Data Matrix](#hibc-data-matrix) is a variant of [Data Matrix](Data-Matrix).
  * [HIBC Codablock F](#hibc-codablock-f) is a variant of [Codablock F](Codablock-F).

Standards: ANSI/HIBC Provider Applications Standard, ANSI/HIBC Supplier Labelling Standard, ANSI/HIBC Positive Identification for Patient Safety, ANSI/HIBC Syntax Standard.

#### Data and Options

  * The data should be pre-encoded to describe the intended barcode content.
  * The HIBC _+_ character is prefixed automatically.
  * The mandatory HIBC check character is automatically appended to the input.

### HIBC Code 39

```
Data:    A123BJC5D6E71
Options: includetext
Encoder: hibccode39
```

![](images/hibccode39-1.png)

### HIBC Code 128

```
Data:    A123BJC5D6E71
Options: includetext
Encoder: hibccode128
```

![](images/hibccode128-1.png)

### HIBC PDF417

```
Data:    A123BJC5D6E71
Options: 
Encoder: hibcpdf417
```

![](images/hibcpdf417-1.png)

### HIBC MicroPDF417

```
Data:    A123BJC5D6E71
Options: 
Encoder: hibcmicropdf417
```

![](images/hibcmicropdf417-1.png)

### HIBC QR Code

```
Data:    A123BJC5D6E71
Options: 
Encoder: hibcqrcode
```

![](images/hibcqrcode-1.png)

### HIBC Data Matrix

```
Data:    A123BJC5D6E71
Options: 
Encoder: hibcdatamatrix
```

![](images/hibcdatamatrix-1.png)

### HIBC Codablock F

```
Data:    A123BJC5D6E71
Options: 
Encoder: hibccodablockf
```

![](images/hibccodablockf-1.png)

