### Han Xin Code

The **Han Xin Code** symbology is a 2D matrix-style barcode symbology that can encode full 256 character extended-ASCII.

Also known as: Chinese Sensible.

Standards: GB/T 21049-2007.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The **eclevel** option is used to specify the error correction level:
    * `eclevel=L1` - Lowest
    * `eclevel=L2`
    * `eclevel=L3`
    * `eclevel=L4` - Highest
  * The **version** option is used to specify the size of the symbol, 1 to 84.
  * If unspecified the encoder will select the version of the symbol that is the minimum size to represent the given data at the selected error correction level.

#### Examples

```
Data:    Han Xin Code
Options: version=10 eclevel=L4
Encoder: hanxin
```

![](images/hanxin-1.png)

