### ISSN

An **ISSN** barcode is an [EAN-13](EAN-13) with prefix _977_ used to identify periodicals.

Also known as: International Standard Serial Number.

Standards: ISO 3297, ISO/IEC 15420, BS EN 797, GS1 General Specifications.

#### Data and Options

  * The data should contain the seven or eight digits ISSN separated by a dash characters _-_, followed by a two-digit sequence variant, optionally followed by two or five digits if a [two-digit add-on](EAN-2) or [five-digit add-on](EAN-5) is required.
  * If the last digit of the ISSN data is not given then the ISSN check digit is calculated automatically.
  * The **includetext** option should normally be supplied.
  * The **guardwhitespace** option enables the display of white space guard marks.
  * The following options are also relevant to this barcode symbology:
    * **issntextfont**: Font name for text above symbol
    * **issntextsize**: Font size for the text above symbol, in points
    * **issntextxoffset**: Horizontal position of ISSN text, in points
    * **issntextyoffset**: Vertical position of ISSN text, in points

A sequence variant is a two-digit number that usually starts at zero and is incremented whenever the recommended retail price is amended, where applicable.

#### Example

Identical symbols, input provided with and without an ISSN check digit and having sequence number _00_:

```
Data:    0317-8471 00
Options: includetext guardwhitespace
Encoder: issn
```

```
Data:    0317-847 00
Options: includetext guardwhitespace
Encoder: issn
```

![](images/issn-1.png)

An ISSN with sequence number _03_ and a [two-digit add-on](EAN-2) representing issue number _17_:

```
Data:    0317-8471 03 17
Options: includetext guardwhitespace
Encoder: issn
```

```
Data:    0317-847 03 17
Options: includetext guardwhitespace
Encoder: issn
```

![](images/issn-2.png)
