### ITF-14

**ITF-14** is an implementation of the [Interleaved 2 of 5](Interleaved-2-of-5) barcode symbology that is typically used to encode a GTIN-14, GTIN-13 or GTIN-12.

Also known as: UPC Shipping Container Symbol, SCS, UPC Case Code.

Standards: ISO/IEC 16390, ANSI/AIM BC2-1995 USS, BS EN 801, GS1 General Specifications.

#### Data and Options

  * The data consists of either thirteen or fourteen digits.
  * Arbitrary spacing may be placed between the digits to format the human readable text without interfering with the encoded data.
  * If thirteen digits are supplied then the check digit is calculated automatically. Otherwise the provided check digit must be correct.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    04601234567893
Options: includetext
Encoder: itf14
```

```
Data:    0460123456789
Options: includetext
Encoder: itf14
```

![](images/itf-14-1.png)
