### Interleaved 2 of 5

**Interleaved 2 of 5** is a high-density numeric barcode symbology.

Also known as: ITF, Code 2 of 5 Interleaved, USD-1, USS-Interleaved 2 of 5.

Variants:

  * [ITF-14](ITF-14) is a variant of Interleaved 2 of 5 that should be used when encoding a fourteen-digit GTIN.

Standards: ISO/IEC 16390, ANSI/AIM BC2 - USS Interleaved 2 of 5, BS EN 801.

#### Data and Options

  * The data can consist of any number of digits.
  * The **includecheck** option calculates the check digit.
  * The **includecheckintext** option makes the calculated checksum appear in the human readable text.
  * If the length of the symbol including the possible check digit would be odd then the data is prefixed by _0_.

#### Examples

```
Data:    0123456789
Options: 
Encoder: interleaved2of5
```

![](images/itf-1.png)

```
Data:    2401234567
Options: includecheck includetext includecheckintext
Encoder: interleaved2of5
```

![](images/itf-2.png)
