### MSI Plessey

**MSI Plessey** is a continuous, non-self-checking, arbitrary length, numeric barcode symbology.

Also known as: MSI, MSI Modified Plessey.

Variants:

  * [Plessey (UK)](Plessey) is the original barcode upon which MSI Modified Plessey was based.

#### Data and Options

  * The data can consist of any number of digits.
  * The **includecheck** option calculates the check digit or check digits.
  * The **includecheckintext** option makes the calculated check characters appear in the human readable text.
  * The **checktype** option is used to specify the type of checksum, either:
    * `checktype=mod10` (default)
    * `checktype=mod1010`
    * `checktype=mod11`
    * `checktype=ncrmod11`
    * `checktype=mod1110`
    * `checktype=ncrmod1110`
  * The **badmod11** option allows a `checktype=mod11` checksum value of 10 to be encoded with a pair of check digits _10_. Normally in `checktype=mod11`, any input whose checksum evaluates to _10_ is considered invalid having no correct representation.

#### Examples

```
Data:    0123456789
Options: includecheck includetext
Encoder: msi
```

![](images/msi-1.png)

```
Data:    0123456789
Options: includecheck checktype=mod1110 includetext includecheckintext
Encoder: msi
```

![](images/msi-2.png)

```
Data:    0123456785
Options: includecheck checktype=mod11 badmod11 includetext includecheckintext
Encoder: msi
```

![](images/msi-3.png)
