### Micro QR Code

The **Micro QR Code** symbology is a smaller variant of [QR Code](QR-Code) that is used in applications that require a small symbol space.

Also known as: Micro Quick Response Code.

Variants:

  * [QR Code](QR-Code) is the more popular, larger variant.

Standards: ISO/IEC 18004, JIS X 0510, ITS - QR Code, AIM ISS - QR Code.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * An appropriate size will be selected to work around the following restrictions:
    * An M1 symbol is only compatible with numeric data.
    * An M2 symbol is only compatible with alphanumeric data.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The **version** option is used to specify the size of the symbol, either `version=M1`, `version=M2`, `version=M3` or `version=M4`.
  * The **eclevel** option is used to specify the error correction level:
    * `eclevel=L` - Low (default)
    * `eclevel=M` - Medium; Not compatible with M1 symbols
    * `eclevel=Q` - Quality; Only compatible with M4 symbols
  * If unspecified the encoder will select the version of the symbol that is the minimum size to represent the given data at the selected error correction level.

#### Examples

```
Data:    01234567
Options: 
Encoder: microqrcode
```

![](images/qrcode-5.png)

