### MicroPDF417

The **MicroPDF417** barcode symbology is 2D stacked-linear barcode based on [PDF417](PDF417) that can encode full 256 character extended-ASCII.

Variants:

  * [PDF417](PDF417) is a larger variant of the MicroPDF417 barcode.
  * [HIBC MicroPDF417](HIBC-Symbols) is a variant of MicroPDF417 that should be used when encoding HIBC formatted data.

Standards: ISO/IEC 24728, AIM ISS - MicroPDF417.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The **columns** and **rows** options are used to specify the size of the symbol. Valid values are:
    * _1x11_, _1x14_, _1x17_, _1x20_, _1x24_, _1x28_, _2x8_, _2x11_, _2x14_, _2x17_, _2x20_, _2x23_, _2x26_, _3x6_, _3x8_, _3x10_, _3x12_, _3x15_, _3x20_, _3x26_, _3x32_, _3x38_, _3x44_, _4x4_, _4x6_, _4x8_, _4x10_, _4x12_, _4x15_, _4x20_, _4x26_, _4x32_, _4x38_, _4x44_
  * If the **columns** and **rows** are unspecified the encoder will default to creating a symbol that is the minimum size to represent the given data.
  * The **rowmult** option is used to specify how tall each bar is, with respect to the minimum module width. The default is 3.
  * The **raw** option denotes that the data field is providing the input as a pre-encoded codewords in `^NNN` format, suitable for direct low-level encoding.
  * The **cca** option identifies this symbol as a _CC-A_ 2D component of a [GS1 Composite](GS1-Composite-Symbols) symbol.
  * The **ccb** option identifies this symbol as a _CC-B_ 2D component of a [GS1 Composite](GS1-Composite-Symbols) symbol.
  * Note: Special size rules apply when the **cca** option is given, in which case the **columns** and **rows** options that are used to specify the size of the symbol must be one of: 
    * _2x5_, _2x6_, _2x7_, _2x8_, _2x9_, _2x10_, _2x12_, _3x4_, _3x5_, _3x6_, _3x7_, _3x8_, _4x3_, _4x4_, _4x5_, _4x6_, _4x7_

#### Examples

```
Data:    MicroPDF417
Options: 
Encoder: micropdf417
```

![](images/micropdf417-1.png)

```
Data:    MicroP^068F417
Options: parse rows=15 columns=4
Encoder: micropdf417
```

![](images/micropdf417-2.png)
