### PDF417

The **PDF417** barcode symbology is 2D stacked-linear barcode that can encode full 256 character extended-ASCII.

Variants:

  * [Compact PDF417](Compact-PDF417) is a shortened form of the PDF417 barcode that is used in applications where the space for the symbol is restricted.
  * [MicroPDF417](MicroPDF417) is a smaller variant of the PDF417 barcode.
  * [HIBC PDF417](HIBC-Symbols) is a variant of PDF417 that should be used when encoding HIBC formatted data.

Standards: ISO/IEC 15438, DD ENV 12925, AIM USS - PDF417.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The **eclevel** option is used to specify the error correction level, from 1 to 5. The default is to choose a standard level of error correction that is determined by the encoded data length.
  * The **columns** option specifies the number of columns (or groups of bars) in the output symbol, from 1 to 30.
  * The **rows** option specifies the minimum number of rows in the symbol, from 3 to 90.
  * If **rows** is unspecified the encoder will select a number that creates a symbol that is the minimum size to represent the given data.
  * The **rowmult** option is used to specify how tall each bar is, with respect to the minimum module width. The default is 3.
  * _Deprecated: Use [Compact PDF417](Compact-PDF417) instead. The **compact** option is used to create a compact/truncated PDF417 symbol that has fewer bars per row that a standard symbol and hence is more narrow._
  * The **raw** option denotes that the data field is providing the input as a pre-encoded codewords in `^NNN` format, suitable for direct low-level encoding.
  * The **ccc** option identifies this symbol as a _CC-C_ 2D component of a [GS1 Composite](GS1-Composite-Symbols) symbol.

#### Examples

```
Data:    PDF417
Options: 
Encoder: pdf417
```

![](images/pdf417-1.png)

```
Data:    P^068F417
Options: parse columns=2 rows=15
Encoder: pdf417
```

![](images/pdf417-2.png)

```
Data:    Strong error correction
Options: columns=2 eclevel=5
Encoder: pdf417
```

![](images/pdf417-4.png)

```
Data:    ^453^178^121^239
Options: raw columns=2
Encoder: pdf417
```

![](images/pdf417-5.png)

