### PZN

**PZN** is a discrete, fixed length, self-checking barcode symbology used for pharmaceutical products in Germany.

Also known as: Pharmazentralnummer.

Variants:

  * PZN-7.
  * PZN-8.

#### Data and Options

  * For the default PZN7 encoding, the data field must contain six digits or seven digits.
  * The **pzn8** option specifies that a PZN8 symbol is required, in which case the data field must contain seven digits or eight digits.
  * The mandatory check digit is calculated automatically if not provided.
  * Note: by definition, not all six-digit or seven-digit number sequences are valid inputs.

#### Examples

Identical PZN7 symbols, input provided with and without a check digit:

```
Data:    1234562
Options: includetext
Encoder: pzn
```

```
Data:    123456
Options: includetext
Encoder: pzn
```

![](images/pzn-1.png)

Identical PZN8 symbols, input provided with and without a check digit:

```
Data:    0275808
Options: pzn8 includetext
Encoder: pzn
```

```
Data:    02758089
Options: pzn8 includetext
Encoder: pzn
```

![](images/pzn-2.png)

