### Plessey

**Plessey** is a continuous, arbitrary length barcode symbology for encoding hexadecimal data.

Also known as: Anker Code.

Variants:

  * [MSI Modified Plessey](MSI-Plessey) is a variant of the Plessey (UK) barcode developed by the MSI Data Corporation.

#### Data and Options

  * The data can contain any of the following:
    * Numbers `0-9`
    * Capital letters `A-F`
  * Two manditory check characters implementing a CRC check are automatically included.
  * The **includecheckintext** option makes the calculated check characters appear in the human readable text.
  * The **unidirectional** option generates a unidirectional Plessey symbol.

#### Examples

Equivalent symbols, the latter displaying the two mandatory check characters:

```
Data:    01234ABCD
Options: includetext
Encoder: plessey
```

![](images/plessey-1.png)

```
Data:    01234ABCD
Options: includetext includecheckintext
Encoder: plessey
```

![](images/plessey-2.png)

A unidirectional symbol:

```
Data:    01234ABCD
Options: unidirectional
Encoder: plessey
```

![](images/plessey-3.png)

