### PosiCode

**PosiCode** is a continuous, variable length, non-self-checking, bidirectional barcode symbology that is designed for use within printing processes where it is difficult to precisely control the width of a bar.

Standards: ITS PosiCode.

#### Data and Options

  * The data field can hold the following:
    * For _standard_ symbols: Any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
      * _FNC4_ function characters will be inserted automatically to allow the encoding of extended ASCII characters.
    * For _limited_ symbols: letters `A-Z`, digits `0-9`, symbols `-` and `.`
  * The **version** option is used to specify the variant of the symbol, either:
    * `version=a` (default)
    * `version=b`
    * `version=limiteda`
    * `version=limitedb`
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters, e.g. `^029` for _GS_, etc.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1` through `^FNC3`.
  * The **inkspread** option can be used to adjust the width of the bars.

#### Example PosiCode

Equivalent ways to generate a PosiCode A symbol:

```
Data:    Abc123
Options: 
Encoder: posicode
```

```
Data:    Abc123
Options: version=a
Encoder: posicode
```

![](images/posicode-1.png)

PosiCode A including a _GS_ (ASCII 29) character:

```
Data:    AB^029CD
Options: parse
Encoder: posicode
```

![](images/posicode-2.png)

PosiCode A including an _FNC2_ special character:

```
Data:    AB^FNC2CD
Options: parsefnc
Encoder: posicode
```

![](images/posicode-3.png)

PosiCode B symbol with widened bars:

```
Data:    Abc123
Options: version=b inkspread=-1
Encoder: posicode
```

![](images/posicode-4.png)

#### Example Limited PosiCode

Limited PosiCode A with narrowed bars:

```
Data:    ABC-12.3
Options: version=limiteda
Encoder: posicode
```

![](images/posicode-5.png)

Limited PosiCode B:

```
Data:    ABC-12.3
Options: version=limitedb
Encoder: posicode
```

![](images/posicode-6.png)
