### SSCC-18

**SSCC-18** is an implementation of the [GS1-128](GS1-128) barcode symbology with _AI (00)_ that is typically used to encode an eighteen-digit shipping container serial number.

Also known as: EAN-18, NVE.

Standards: ISO/IEC 15417, ANSI/AIM BC4-1999 ISS, BS EN 799, GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) and must be a solitary _AI (00)_ with seventeen or eighteen digits of a Serial Shipping Container Code, i.e. `(00)...`.
  * Arbitrary spacing may be placed between the digits to format the human readable text without interfering with the encoded data.
  * If seventeen digits of primary data are supplied then the check digit is calculated automatically. Otherwise the provided check digit must be correct.

#### Example

Identical symbols, input provided with and without a check digit:

```
Data:    (00)006141411234567890
Options: includetext
Encoder: sscc18
```

```
Data:    (00)00614141123456789
Options: includetext
Encoder: sscc18
```

![](images/sscc18-1.png)
