### Telepen Numeric

**Telepen Numeric** is a variant of the Telepen symbology for efficient encoding of numeric data.

Variants:

  * [Telepen Alpha](Telepen).

Standards: USS Telepen.

#### Data and Options

  * The data is provided as either pairs of digits or `0X`, `1X`, etc. The singular values `^000` to `^016` can also be encoded using the *parse* option.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The mandatory check digit is automatically included.

#### Examples

```
Data:    123456
Options: 
Encoder: telepennumeric
```

![](images/telepen-3.png)

```
Data:    1X345X
Options: 
Encoder: telepennumeric
```

![](images/telepen-4.png)

```
Data:    1234^005
Options: parse includetext
Encoder: telepennumeric
```

![](images/telepen-5.png)
