### Telepen

**Telepen** is an arbitrary length barcode symbology for encoding all 128 ASCII characters without the need for shift characters.

Also known as: Telepen Alpha, Telepen Full ASCII.

Variants:

  * [Telepen Numeric](Telepen-Numeric).

Standards: USS Telepen.

#### Data and Options

  * The data can contain any standard ASCII data, values 0-127.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * The mandatory check digit is automatically included.
  * _Deprecated: Use [Telepen Numeric](Telepen-Numeric) instead. When the **numeric** option is given, the data is read as either pairs of digits or `0X`, `1X`, etc. The singular values `^000` to `^016` can also be encoded using the *parse* option._

#### Examples

```
Data:    Telepen
Options: includetext
Encoder: telepen
```

![](images/telepen-1.png)

```
Data:    Telepen^013
Options: parse
Encoder: telepen
```

![](images/telepen-2.png)

