### UPC-E

**UPC-E** is a compacted form of the [UPC-A](UPC-A) barcode symbology that usually carries a GTIN-12 with a number system of _0_ or _1_ that has been zero compressed.

Variants:

  * UPC-E0 is a UPC-E with a number system of _0_.
  * UPC-E1 is a UPC-E with a number system of _1_.
  * UPC-E+2 is an extension of UPC-E that includes a [two-digit add-on](EAN-2).
  * UPC-E+5 is an extension of UPC-E that includes a [five-digit add-on](EAN-5).
  * [UPC-A](UPC-A) is the full size form of UPC-E.
  * [UPC-E Composite](GS1-Composite-Symbols) is a variant of UPC-E that should be used when a CC-A or CC-B GS1 Composite 2D component is required.

Standards: ISO/IEC 15420, BS EN 797, GS1 General Specifications.

#### Data and Options

  * The data field takes either seven or eight digits, optionally followed by a space then two or five digits if an [EAN-2](EAN-2) or [EAN-5](EAN-5) add-on is required.
  * Alternatively, the data field may contain eleven or twelve digits of a [UPC-A](UPC-A) to produce the equivalent UPC-E symbol, provided that the input can be zero suppressed.
  * If seven digits of primary data are supplied then the check digit is calculated automatically. Otherwise the provided check digit must be correct.
  * The **includetext** option should normally be supplied.

#### Examples

Identical symbols, input provided with and without a check digit:

```
Data:    01234565
Options: includetext
Encoder: upce
```

```
Data:    0123456
Options: includetext
Encoder: upce
```

![](images/upce-1.png)

A truncated symbol:

```
Data:    01234565
Options: includetext height=0.5
Encoder: upce
```

![](images/upce-2.png)

