### Ultracode

The **Ultracode** symbology is a colour, 2D matrix-style barcode symbology that can encode full 256 character extended-ASCII.

Standards: AIM ISS - Ultracode.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by `^FNC1`, `^FNC3`.
  * The **eclevel** option is used to specify the error correction level:
    * `eclevel=EC0` - Error detection only
    * `eclevel=EC1` - Low
    * `eclevel=EC2` - Medium (default)
    * `eclevel=EC3`
    * `eclevel=EC4`
    * `eclevel=EC5` - Highest

#### Examples

```
Data:    Nice colours!
Options: eclevel=EC3
Encoder: ultracode
```

![](images/ultracode-1.png)

