* [Quick Guide](https://github.com/bwipp/postscriptbarcode/wiki/Quick-Guide)
* [Symbologies Reference](https://github.com/bwipp/postscriptbarcode/wiki/Symbologies-Reference)
* [Options Reference](https://github.com/bwipp/postscriptbarcode/wiki/Options-Reference)
* [Knowledge Base](https://github.com/bwipp/postscriptbarcode/wiki/Knowledge-Base)

--------------------------------

**[Symbologies Reference](Symbologies-Reference)**

**Point of Sale**

  * [EAN-13](EAN-13)
  * [EAN-8](EAN-8)
  * [UPC-A](UPC-A)
  * [UPC-E](UPC-E)
  * [ISBN](ISBN)
  * [ISMN](ISMN)
  * [ISSN](ISSN)

**GS1 DataBar**

  * [GS1 DataBar Omnidirectional](GS1-DataBar-Omnidirectional)
  * [GS1 DataBar Stacked Omnidirectional](GS1-DataBar-Stacked-Omnidirectional)
  * [GS1 DataBar Expanded](GS1-DataBar-Expanded)
  * [GS1 DataBar Expanded Stacked](GS1-DataBar-Expanded-Stacked)
  * [GS1 DataBar Truncated](GS1-DataBar-Truncated)
  * [GS1 DataBar Stacked](GS1-DataBar-Stacked)
  * [GS1 DataBar Limited](GS1-DataBar-Limited)

**Supply Chain**

  * [GS1 DataMatrix](GS1-DataMatrix)
  * [GS1 QR Code](GS1-QR-Code)
  * [GS1-128](GS1-128)
  * [EAN-14](EAN-14)
  * [ITF-14](ITF-14)
  * [SSCC-18](SSCC-18)

**Two-dimensional Symbols**

  * [Aztec Code](Aztec-Code)
  * [Aztec Runes](Aztec-Runes)
  * [Data Matrix](Data-Matrix)
  * [MicroPDF417](MicroPDF417)
  * [PDF417](PDF417)
  * [Compact PDF417](Compact-PDF417)
  * [QR Code](QR-Code)
  * [Micro QR Code](Micro-QR-Code)
  * [Han Xin Code](Han-Xin-Code)

**One-dimensional Symbols**

  * [Code 128](Code-128)
  * [Code 39](Code-39)
  * [Code 39 Extended](Code-39-Extended)
  * [Code 93](Code-93)
  * [Code 93 Extended](Code-93-Extended)     
  * [Interleaved 2 of 5](Interleaved-2-of-5)

**Postal Symbols**

  * [Australia Post](Australia-Post)
  * [Deutsche Post Identcode](Deutsche-Post-Identcode)
  * [Deutsche Post Leitcode](Deutsche-Post-Leitcode)
  * [Japan Post](Japan-Post)
  * [MaxiCode](MaxiCode)
  * [Royal Mail](Royal-Mail)
  * [Royal TNT Post](Royal-TNT-Post)
  * [USPS Intelligent Mail](USPS-Intelligent-Mail)
  * [USPS POSTNET](USPS-POSTNET)
  * [USPS PLANET](USPS-PLANET)
  * [USPS FIM symbols](USPS-FIM-symbols)

**Pharmaceutical Symbols**

  * [Italian Pharmacode](Italian-Pharmacode)
  * [Pharmacode](Pharmacode)
  * [Two-track Pharmacode](Two-track-Pharmacode)
  * [PZN](PZN)
  * [HIBC Code 39](HIBC-Symbols)
  * [HIBC Code 128](HIBC-Symbols)
  * [HIBC PDF417](HIBC-Symbols)
  * [HIBC MicroPDF417](HIBC-Symbols)
  * [HIBC QR Code](HIBC-Symbols)
  * [HIBC Data Matrix](HIBC-Symbols)
  * [HIBC Codablock F](HIBC-Symbols)

**Less-used Symbols**

  * [BC412](BC412)
  * [Channel Code](Channel-Code)
  * [Codabar](Codabar)
  * [Codablock F](Codablock-F)
  * [Code 11](Code-11)
  * [Code 16K](Code-16K)
  * [Code 25](Code-25)
  * [DotCode](DotCode)
  * [Ultracode](Ultracode)
  * [IATA 2 of 5](IATA-2-of-5)
  * [Matrix 2 of 5](Matrix-2-of-5)
  * [Datalogic 2 of 5](Datalogic-2-of-5)
  * [COOP 2 of 5](COOP-2-of-5)
  * [Code 49](Code-49)
  * [Code One](Code-One)
  * [MSI Plessey](MSI-Plessey)
  * [Plessey](Plessey)
  * [PosiCode](PosiCode)
  * [Telepen](Telepen)
  * [Telepen Numeric](Telepen-Numeric)

**[GS1 Composite Symbols](GS1-Composite-Symbols)**

  * [EAN-13 Composite](GS1-Composite-Symbols)
  * [EAN-8 Composite](GS1-Composite-Symbols)
  * [UPC-A Composite](GS1-Composite-Symbols)
  * [UPC-E Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Omnidirectional Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Stacked Omnidirectional Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Expanded Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Expanded Stacked Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Truncated Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Stacked Composite](GS1-Composite-Symbols)
  * [GS1 DataBar Limited Composite](GS1-Composite-Symbols)
  * [GS1-128 Composite](GS1-Composite-Symbols)

**Raw Symbols**

  * [DAFT](DAFT)
  * [Flattermarken](Flattermarken)
  * [Raw](Raw)

**Partial Symbols**

  * [EAN-2](EAN-2)
  * [EAN-5](EAN-5)
  * [CC-A](GS1-Composite-Symbols#cc-a)
  * [CC-B](GS1-Composite-Symbols#cc-b)
  * [CC-C](GS1-Composite-Symbols#cc-c)
